## mcollective 1.0.1

=== ext/Makefile ===
#!/usr/bin/make -f

DESTDIR=

build:

clean:

install: install-bin install-lib install-conf install-plugins install-doc

install-bin:
	install -d $(DESTDIR)/usr/sbin
	cp mc-* $(DESTDIR)/usr/sbin
	cp mcollectived.rb $(DESTDIR)/usr/sbin/mcollectived

install-lib:
	install -d $(DESTDIR)/usr/lib/ruby/1.8/
	cp -a lib/* $(DESTDIR)/usr/lib/ruby/1.8/

install-conf:
	install -d $(DESTDIR)/etc/mcollective/
	install -d $(DESTDIR)/etc/init.d
	cp -r etc/* $(DESTDIR)/etc/mcollective/
	cp mcollective.init $(DESTDIR)/etc/init.d/mcollective
	rm $(DESTDIR)/etc/mcollective/ssl/PLACEHOLDER
	rm $(DESTDIR)/etc/mcollective/ssl/clients/PLACEHOLDER

install-plugins:
	install -d $(DESTDIR)/usr/share/mcollective/
	cp -a plugins $(DESTDIR)/usr/share/mcollective/

install-doc:
	install -d $(DESTDIR)/usr/share/doc/
	cp -a doc  $(DESTDIR)/usr/share/doc/mcollective

uninstall:
	rm -f $(DESTDIR)/usr/sbin/mcollectived
	rm -rf $(DESTDIR)/usr/lib/ruby/1.8/mcollective*
	rm -rf $(DESTDIR)/usr/share/mcollective
	rm -rf $(DESTDIR)/etc/mcollective

.PHONY: build clean install uninstall

=== debian/changelog ===
mcollective (1.0.1-0ubuntu4) natty; urgency=low

  * debian/patches/pluginsdir.patch: fix this patch to point at the
    _correct_ library/plugins dir, LP: #723418

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 21 Apr 2011 13:36:18 -0400

mcollective (1.0.1-0ubuntu3) natty; urgency=low

  * debian/control: mcollective-middleware should really depend on
    rabbitmq-stomp, which now finally builds in natty \o/, LP: #723418

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 17:27:22 -0400

mcollective (1.0.1-0ubuntu2) natty; urgency=low

  * debian/mcollective.triggers, debian/mcollective.postinst: install dpkg
    trigger to watch mcollective plugins directory. The trigger will restart
    mcollective daemon when a new plugin is installed.
  * Rename mcollective-server package to mcollective-middleware to follow
    upstream naming convention. (LP: #722463) 
  * Don't install mcollective as part of mcollective-middleware since the
    mcollective server is not required to run the mcollective middleware.

 -- Mathias Gug <mathiaz@ubuntu.com>  Wed, 23 Feb 2011 03:09:22 -0500

mcollective (1.0.1-0ubuntu1) natty; urgency=low

  * Merge new upstream release
  * debian/mcollective.install: drop unneeded /etc/init.d (we use upstart)
  * debian/copyright: use Apache 2.0 header and point to common-license
    file, per Lintian

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Feb 2011 13:07:47 -0600

mcollective (1.0.0-0ubuntu4) natty; urgency=low

  * debian/mcollective-server.postrm: add a postrm that removes the
    marionette user, LP: #714673

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 10 Feb 2011 11:11:17 -0600

mcollective (1.0.0-0ubuntu3) natty; urgency=low

  * debian/control: move libstomp-ruby to mcollective-common dependencies,
    as this is needed for all mcollective operation, LP: #714669
  * mcollective-server.postinst: add the marionette user if it doesn't
    exist (the postrm removal of the user will come soon), LP: #714673

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 10 Feb 2011 10:32:36 -0600

mcollective (1.0.0-0ubuntu2) natty; urgency=low

  * debian/copyright: added full text of the Apache 2.0 license,
    per feedback from Jonathan Riddell

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 01 Feb 2011 09:15:08 -0800

mcollective (1.0.0-0ubuntu1) natty; urgency=low

  [Dustin Kirkland]
  * Initial packaging for Ubuntu, largely based on the original Debian
    packaging by Riccardo Setti <giskard@debian.org>
  * debian/control:
    - bumping standards version
    - added misc depends
    - added mcollective-server meta package which depends on mcollective,
      rabbitmq + stomp
  * debian/rules, debian/mcollective.upstart: add an upstart job

  [Chuck Short]
  * Drop cdbs convert to dh7.
  * debian/patches/* Add notes about the patches.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 13 Jan 2011 12:56:07 -0600

mcollective (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Riccardo Setti <giskard@debian.org>  Mon, 15 Jan 2010 11:27:23 +0000

mcollective (0.4.1-1) unstable; urgency=low

  * Initial release. Closes: #563951

 -- Riccardo Setti <giskard@debian.org>  Mon, 04 Jan 2010 17:09:50 +0000

=== debian/control ===
Source: mcollective
Section: utils
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Riccardo Setti <giskard@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://marionette-collective.org/

Package: mcollective
Architecture: all
Depends: ${misc:Depends}, ruby (>= 1.8.1), mcollective-common (>= ${source:Version})
Description: build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution systems.

Package: mcollective-middleware
Architecture: all
Depends: ${misc:Depends}, rabbitmq-server, rabbitmq-stomp
Description: meta package for mcollective server plus MQ
 An MQ server installed and configured somewhere on the network is
 required for mcollective.
 .
 This meta package installs the RabbitMQ server along with its STOMP
 plugin, in addition to the mcollective orchestration and parallel
 job execution system.

Package: mcollective-client
Architecture: all
Depends: ${misc:Depends}, ruby (>= 1.8.1), mcollective-common (>= ${source:Version})
Description: build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution system

Package: mcollective-common
Architecture: all
Depends: ${misc:Depends}, ruby (>= 1.8.1) , rubygems, libstomp-ruby
Description: build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution systems.
 .
 Common files for mcollective packages.

Package: mcollective-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for mcollective
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution systems.
 .
 Documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	make -f ext/Makefile -C . install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/etc/mcollective/server.cfg.dist $(CURDIR)/debian/tmp/etc/mcollective/server.cfg
	mv $(CURDIR)/debian/tmp/etc/mcollective/client.cfg.dist $(CURDIR)/debian/tmp/etc/mcollective/client.cfg
	mv $(CURDIR)/debian/tmp/etc/mcollective/facts.yaml.dist $(CURDIR)/debian/tmp/etc/mcollective/facts.yaml

override_dh_installinit:
	dh_installinit --error-handler=true

override_dh_fixperms:
	dh_fixperms
	chmod 640 $(CURDIR)/debian/mcollective/etc/mcollective/server.cfg

## mcollective 1.2.1

=== debian/changelog ===
mcollective (1.2.1-0ubuntu2.1) oneiric-proposed; urgency=low

  * debian/control (LP: #884908)
    - Added dependency on mcollective for mcollective-middleware package
    - Added dependency for rubygems, libsystemu-ruby, ruby-json for 
      mcollective-common package

 -- Marc Cluet <marc.cluet@ubuntu.com>  Mon, 28 Nov 2011 21:09:22 -0800

mcollective (1.2.1-0ubuntu2) oneiric; urgency=low

  * LP:#808446 
    - Dropped rubygems dependency
    - Pushed libstomp-ruby dependency to >= 1.1.9
  * LP:#808090
    - Dependencies on ruby just in mcollective-common
    - Regression of LP:#723418
    - Doc package suggested by common
    - Copyright file reflects extra libraries
  * Added po-debconf support

 -- Marc Cluet <marc.cluet@ubuntu.com>  Mon, 11 Jul 2011 06:49:27 -0700

mcollective (1.2.1-0ubuntu1) oneiric; urgency=low

  * Update to 1.2.1

 -- Marc Cluet <marc.cluet@ubuntu.com>  Wed, 06 Jul 2011 09:47:40 -0700

mcollective (1.2.0-0ubuntu4) oneiric; urgency=low

  * Modifying default behaviour of get selections to select
    localhost as default 

 -- Marc Cluet <marc.cluet@ubuntu.com>  Mon, 27 Jun 2011 10:09:19 -0700

mcollective (1.2.0-0ubuntu3) oneiric; urgency=low

  * debian/patches
    - Added no daemonize patch, we're letting upstart handle
      the process control, daemonize conflicts with that 

 -- Marc Cluet <marc.cluet@ubuntu.com>  Mon, 27 Jun 2011 06:07:26 -0700

mcollective (1.2.0-0ubuntu2) oneiric; urgency=low

  * debian/control: depend on ucf where necessary to fix postinst
    failure when installing in clean chroot.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 18 May 2011 09:15:36 -0700

mcollective (1.2.0-0ubuntu1) oneiric; urgency=low

  [Marc Cluet]
  * Update to 1.2.0
  * Build for Oneiric.

  [Chuck Short]
  * Drop ruby from mcollective, mcollective-middleware, mcollective-client
    since its a dependency of mcollective-common.
  * Bump standards to 3.9.2.
  * Fix up lintian warnings.

 -- Marc Cluet <marc.cluet@ubuntu.com>  Thu, 05 May 2011 07:37:54 -0700

mcollective (1.1.3-0ubuntu1~natty5) natty; urgency=low

  * Added ucfr to associate config files with package
   * Both for mcollective and mcollective-client 
  * Added post purge options

 -- Marc Cluet <marc.cluet@canonical.com>  Thu, 28 Apr 2011 09:23:48 -0700

mcollective (1.1.3-0ubuntu1~natty4) natty; urgency=low

  * Fixed postinst script for mcollective and mcollective-client
   * This will make them less aggressive and only do changes on demand 
  * Added patch for hostname by default to localhost on stomp server

 -- Marc Cluet <marc.cluet@canonical.com>  Sat, 23 Apr 2011 12:07:41 -0700

mcollective (1.1.3-0ubuntu1~natty3) natty; urgency=low

  * Fixed postinst script 

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 22 Apr 2011 14:01:06 -0700

mcollective (1.1.3-0ubuntu1~natty2) natty; urgency=low

  * Added debconf hook for stomp server config

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 22 Apr 2011 09:05:40 -0700

mcollective (1.1.3-0ubuntu1~natty) natty; urgency=low

  [ Marc Cluet ]
  * Upgrading to 1.1.3
  * Fixed upstart issues 
  * Fixed standard config files 
  * Fixed problem in install file 

  [ Dustin Kirkland ]
  * Flatten changelog and fix versioning

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 10:38:37 -0400

=== debian/control ===
Source: mcollective
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Riccardo Setti <giskard@debian.org>
Build-Depends: debhelper (>= 7.0.50~), po-debconf
Standards-Version: 3.9.2
Homepage: http://marionette-collective.org/

Package: mcollective
Architecture: all
Depends: ${misc:Depends}, mcollective-common (>= ${source:Version}), ucf
Description: build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution systems.

Package: mcollective-middleware
Architecture: all
Depends: ${misc:Depends}, rabbitmq-server, rabbitmq-stomp, mcollective
Description: meta package for mcollective server plus MQ
 An MQ server installed and configured somewhere on the network is
 required for mcollective.
 .
 This meta package installs the RabbitMQ server along with its STOMP
 plugin, in addition to the mcollective orchestration and parallel
 job execution system.

Package: mcollective-client
Architecture: all
Depends: ${misc:Depends}, mcollective-common (>= ${source:Version}), ucf
Description: build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution system

Package: mcollective-common
Architecture: all
Suggests: mcollective-doc
Depends: ${misc:Depends}, ruby (>= 1.8.1), rubygems, libstomp-ruby (>= 1.1.9), libsystemu-ruby, ruby-json
Description: build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution systems.
 .
 Common files for mcollective packages.

Package: mcollective-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for mcollective
 The Marionette Collective aka. mcollective is a framework 
 to build server orchestration or parallel job execution systems.
 .
 Documentation package.

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 override_dh_auto_install:
 	make -f ext/Makefile -C . install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/etc/mcollective/server.cfg.dist $(CURDIR)/debian/tmp/etc/mcollective/server.cfg
-	mv $(CURDIR)/debian/tmp/etc/mcollective/client.cfg.dist $(CURDIR)/debian/tmp/etc/mcollective/client.cfg
+	mv $(CURDIR)/debian/tmp/etc/mcollective/server.cfg.dist $(CURDIR)/debian/tmp/usr/share/mcollective/server.cfg.dist
+	mv $(CURDIR)/debian/tmp/etc/mcollective/client.cfg.dist $(CURDIR)/debian/tmp/usr/share/mcollective/client.cfg.dist
 	mv $(CURDIR)/debian/tmp/etc/mcollective/facts.yaml.dist $(CURDIR)/debian/tmp/etc/mcollective/facts.yaml
 
 override_dh_installinit:
@@ -23,4 +23,9 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod 640 $(CURDIR)/debian/mcollective/etc/mcollective/server.cfg
+	chmod 644 $(CURDIR)/debian/mcollective-common/usr/lib/ruby/1.8/mcollective/vendor/json/tools/fuzz.rb
+
+override_dh_install:
+	dh_install
+	rm -f $(CURDIR)/debian/mcollective-common/usr/lib/ruby/1.8/mcollective/vendor/json/.gitignore
+

## mcollective 1.2.1%2bdfsg

=== debian/changelog ===
mcollective (1.2.1+dfsg-2ubuntu1.1) precise-proposed; urgency=low

  * Fixed trigger issue in mcollective.postinst (LP: #999996)
    - debian/mcollective.postinst: Added triggered option to avoid
      errors when installing plugins

 -- Marc Cluet <marc.cluet@ubuntu.com>  Tue, 29 May 2012 17:44:49 +0100

mcollective (1.2.1+dfsg-2ubuntu1) precise; urgency=low

  * Merge from debian unstable, remaining changes (LP: #874981)
    - debian/control: Package mcollective-middleware allows the user 
      to install mcollective + his AMPQ server of choice, we now 
      choose activemq by default but support for rabbitmq-stomp is 
      also integrated
    - debian/control: Fixed rabbitmq dependencies to rabbitmq-stomp
    - debian/mcollective.postinst: Added fix for mcollective server.cfg to 
      avoid daemonize if running on system with upstart

 -- Marc Cluet <marc.cluet@ubuntu.com>  Wed, 9 Nov 2011 18:12:27 +0000

mcollective (1.2.1+dfsg-2) unstable; urgency=low

  * configuration files: chmod 600, prevent world-readable (Closes: #643624)
  * d/control: Changed Depends:
   - libstomp-ruby -> ruby-stomp
   - libsystemu-ruby -> ruby-systemu
  * d/control: Added DM-Upload
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #644464
  * [Debconf translation updates]
    - Czech (Michal Simunek).  Closes: #644911
    - Swedish (Martin Bagge / brother).  Closes: #644922
    - Russian (Yuri Kozlov).  Closes: #645478
    - German (Chris Leick).  Closes: #645676
    - Danish (Joe Hansen).  Closes: #645819
    - French (Julien Patriarca).  Closes: #646098
    - Spanish; (Francisco Javier Cuadrado).  Closes: #646358
    - Portuguese (Miguel Figueiredo).  Closes: #646752

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Tue, 01 Nov 2011 12:35:17 +0100

mcollective (1.2.1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #563951)
  * package based on Ubuntu package
    - initial done by Riccardo Setti <giskard@debian.org>

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 18 Jun 2011 16:44:23 +0200

## mcollective 1.2.1+dfsg

=== ext/Makefile ===
--- 
+++ 
@@ -10,7 +10,9 @@
 
 install-bin:
 	install -d $(DESTDIR)/usr/sbin
+	install -d $(DESTDIR)/usr/bin
 	cp mc-* $(DESTDIR)/usr/sbin
+	cp mco $(DESTDIR)/usr/bin
 	cp mcollectived.rb $(DESTDIR)/usr/sbin/mcollectived
 
 install-lib:

=== debian/control ===
Source: mcollective
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>, Micah Anderson <micah@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://projects.puppetlabs.com/projects/mcollective
Vcs-Git: git://git.debian.org/git/pkg-puppet/mcollective.git
Vcs-Browser: http://git.debian.org/?p=pkg-puppet/mcollective.git

Package: mcollective
Architecture: all
Depends: ${misc:Depends}, ruby | ruby-interpreter, mcollective-common (>= ${source:Version})
Suggests: activemq
Recommends: mcollective-client
Description: Build server orchestration or parallel job execution systems
 The Marionette Collective is a framework for building server
 orchestration and parallel job execution systems.
 .
 This package contains the MCollective daemon.

Package: mcollective-middleware
Architecture: all
Depends: ${misc:Depends}, activemq | rabbitmq-stomp, mcollective
Description: Build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework
 to build server orchestration or parallel job execution system
 .
 This meta package installs the STOMP server, in addition 
 to the mcollective orchestration and parallel
 job execution system.

Package: mcollective-client
Architecture: all
Suggests: mcollective
Depends: ${misc:Depends}, ruby | ruby-interpreter, mcollective-common (>= ${source:Version})
Description: Build server orchestration or parallel job execution systems
 The Marionette Collective aka. mcollective is a framework
 to build server orchestration or parallel job execution system
 .
 This package contains the MCollective client utilities:
  * mco
  * mc-rpc
  * mc-facts
  * mc-find-hosts
  * mc-ping
  * mc-call-agent
  * mc-controller
  * mc-inventory

Package: mcollective-common
Architecture: all
Suggests: mcollective-doc
Depends: ${misc:Depends}, ruby | ruby-interpreter, rubygems, libstomp-ruby, libsystemu-ruby, ruby-json
Description: Build server orchestration or parallel job execution systems
 The Marionette Collective is a framework for building server
 orchestration and parallel job execution systems.
 .
 This package provides common files for MCollective.

Package: mcollective-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for mcollective
 The Marionette Collective is a framework for building server
 orchestration and parallel job execution systems.
 .
 This package provides documentation for MCollective.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	make -f ext/Makefile -C . install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/etc/mcollective/server.cfg.dist $(CURDIR)/debian/tmp/etc/mcollective/server.cfg
	mv $(CURDIR)/debian/tmp/etc/mcollective/client.cfg.dist $(CURDIR)/debian/tmp/etc/mcollective/client.cfg
	mv $(CURDIR)/debian/tmp/etc/mcollective/facts.yaml.dist $(CURDIR)/debian/tmp/etc/mcollective/facts.yaml

override_dh_installinit:
	dh_installinit --error-handler=true

## mcollective 2.0.0%2Bdfsg

=== ext/openbsd/port-files/mcollective/Makefile ===
PKG_ARCH=	*
COMMENT=	The Marionette Collective	

DISTNAME=	mcollective-0.4.9

CATEGORIES=	sysutils

HOMEPAGE=	http://code.google.com/p/mcollective/
MASTER_SITES=	http://mcollective.googlecode.com/files/
EXTRACT_SUFX=	.tgz

# GFDL
PERMIT_PACKAGE_CDROM=	Yes
PERMIT_PACKAGE_FTP=	Yes
PERMIT_DISTFILES_CDROM=	Yes
PERMIT_DISTFILES_FTP=	Yes

NO_BUILD=	Yes
NO_REGRESS=	Yes

# makefile is in ext/
MAKE_FILE=ext/Makefile

.include <bsd.port.mk>

## mcollective 2.0.0+dfsg

=== ext/Makefile ===
--- 
+++ 
@@ -11,9 +11,9 @@
 install-bin:
 	install -d $(DESTDIR)/usr/sbin
 	install -d $(DESTDIR)/usr/bin
-	cp mc-* $(DESTDIR)/usr/sbin
-	cp mco $(DESTDIR)/usr/bin
-	cp mcollectived.rb $(DESTDIR)/usr/sbin/mcollectived
+	cp bin/mc-* $(DESTDIR)/usr/sbin
+	cp bin/mco $(DESTDIR)/usr/bin
+	cp bin/mcollectived $(DESTDIR)/usr/sbin/mcollectived
 
 install-lib:
 	install -d $(DESTDIR)/usr/lib/ruby/1.8/

=== debian/changelog ===
mcollective (2.0.0+dfsg-4) unstable; urgency=low

  * d/control: removed rubygems dependency (Closes: #724317)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Tue, 24 Sep 2013 20:42:18 +0200

mcollective (2.0.0+dfsg-3) unstable; urgency=low

  * d/control: removed DM-Upload allow
  * Adding initial Japanese debconf translation from
    victory <victory.deb@gmail.com> (Closes: #692045)
  * changed activemq port to 61613
    (Thanks Michael Prokop <mika@debian.org>) (Closes: #701088)
  * d/control: bumped standards version
  * fixed wrong port 6163 => 61613 (templates / preseed) files
  * mcollective: activemq configuration example includes broken queue setting
    (Thanks Michael Prokop <mika@debian.org> ) (Closes: #701079)
  * added Systemd Service file

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Mon, 26 Aug 2013 10:41:54 +0200

mcollective (2.0.0+dfsg-2) unstable; urgency=low

  * d/mcollective.init Solved problem that caused multiple MCollective
    daemons could be started.
  * d/mcollecitve.init Now able to stop MCollective if it's disabled at
    etc/default/mcollective
  * d/watch: updated uversionmangle version to new development version 2.1.x
  * d/control: added gemdeb, MCollective Debian package supports now
    ruby 1.8 and ruby 1.9.3

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 30 Jun 2012 20:11:19 +0200

mcollective (2.0.0+dfsg-1) unstable; urgency=low

  * New Upstream Release
  * d/mcollective.README.Debian: added note about the log feature
   of ActiveMQ. Thanks to R.I.Pienaar for the advice.
  * d/mcollective.triggers: Merged from Ubuntu package
  * Adding initial Dutch debconf translation from
    Jeroen Schot <schot@A-Eskwadraat.nl> (Closes: #671301)
  * d/copyright: updated to version 1.0
  * d/control: updated standards version
  * d/control: updated binary list of mcollective-client

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sun, 27 May 2012 16:53:56 +0200

=== debian/control ===
Source: mcollective
Section: utils
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>, Micah Anderson <micah@debian.org>
Build-Depends: debhelper (>= 8), gem2deb (>= 0.3.0~), dh-systemd (>= 1.5)
Standards-Version: 3.9.4
Homepage: http://projects.puppetlabs.com/projects/mcollective
Vcs-Git: git://anonscm.debian.org/pkg-puppet/mcollective.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-puppet/mcollective.git
XS-Ruby-Versions: all

Package: mcollective
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
 ruby | ruby-interpreter,
 mcollective-common (>= ${source:Version})
Suggests: activemq
Recommends: mcollective-client
Description: Marionette Collective clustering framework - server
 The Marionette Collective is a framework for building server
 orchestration and parallel job execution systems.
 .
 This package contains the MCollective daemon.

Package: mcollective-client
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Suggests: mcollective
Depends: ${misc:Depends}, ruby | ruby-interpreter, mcollective-common (>= ${source:Version})
Description: Marionette Collective clustering framework - clients
 The Marionette Collective is a framework for building server
 orchestration and parallel job execution systems.
 .
 This package provides the MCollective client utilities:
  * mco
  * mc-call-agent

Package: mcollective-common
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Suggests: mcollective-doc
Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-stomp, ruby-systemu, ruby-json
Description: Marionette Collective clustering framework - common files
 The Marionette Collective is a framework for building server
 orchestration and parallel job execution systems.
 .
 This package provides common files for MCollective.

Package: mcollective-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Marionette Collective clustering framework - documentation
 The Marionette Collective is a framework for building server
 orchestration and parallel job execution systems.
 .
 This package provides documentation for MCollective.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --buildsystem=ruby --with ruby,systemd
 
 override_dh_auto_install:
 	make -f ext/Makefile -C . install DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/2.1.*// \
http://downloads.puppetlabs.com/mcollective/mcollective-([\d\.]*).tgz

## mcollective 2.3.3

=== debian/changelog ===
mcollective (2.3.3-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.3.3-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 07 Nov 2013 17:56:59 +0000

## mcollective 2.4.0

=== debian/changelog ===
mcollective (2.4.0-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.4.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 23 Jan 2014 09:25:41 -0800

## mcollective 2.4.1

=== debian/changelog ===
mcollective (2.4.1-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.4.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 10 Feb 2014 09:00:19 -0800

## mcollective 2.5.0

=== debian/changelog ===
mcollective (2.5.0-0.1rc1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.5.0-0.1rc1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 10 Apr 2014 08:42:33 -0700

## mcollective 2.5.1

=== debian/changelog ===
mcollective (2.5.1-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.5.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 14 May 2014 15:16:39 +0000

## mcollective 2.5.3

=== debian/changelog ===
mcollective (2.5.3-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.5.3-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 14 Jul 2014 15:33:47 -0700

## mcollective 2.6.0

=== debian/changelog ===
mcollective (2.6.0-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.6.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 21 Aug 2014 12:48:33 -0700

## mcollective 2.6.0%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://downloads.puppetlabs.com/mcollective/mcollective-([\d\.]*)\.tar\.gz

## mcollective 2.6.0+dfsg

=== ext/solaris11/Makefile ===
#!/usr/bin/make -f

DESTDIR=

build:

clean:

install: install-bin install-lib install-conf install-plugins # install-doc

install-bin:
	install -d $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/usr/bin
	cp bin/mc-* $(DESTDIR)/usr/sbin
	cp bin/mco $(DESTDIR)/usr/bin
	cp bin/mcollectived $(DESTDIR)/usr/sbin/mcollectived
	cp COPYING $(DESTDIR)/

install-lib:
	install -d $(DESTDIR)/usr/ruby/1.8/lib/ruby/site_ruby/1.8/
	cp -rp lib/* $(DESTDIR)/usr/ruby/1.8/lib/ruby/site_ruby/1.8/

install-conf:
	install -d $(DESTDIR)/etc/mcollective/
	install -d $(DESTDIR)/etc/init.d
	cp -r etc/* $(DESTDIR)/etc/mcollective/
	cp mcollective.init $(DESTDIR)/etc/init.d/mcollective
	rm $(DESTDIR)/etc/mcollective/ssl/PLACEHOLDER
	rm $(DESTDIR)/etc/mcollective/ssl/clients/PLACEHOLDER

install-plugins:
	install -d $(DESTDIR)/usr/share/mcollective/
	cp -rp plugins $(DESTDIR)/usr/share/mcollective/

install-doc:
	install -d $(DESTDIR)/usr/share/doc/
	cp -rp doc  $(DESTDIR)/usr/share/doc/mcollective

uninstall:
	rm -f $(DESTDIR)/usr/sbin/mcollectived
	rm -rf $(DESTDIR)/usr/ruby/1.8/lib/ruby/site_ruby/1.8/mcollective*
	rm -rf $(DESTDIR)/usr/share/mcollective
	rm -rf $(DESTDIR)/etc/mcollective

.PHONY: build clean install uninstall

=== ext/openbsd/port-files/mcollective/Makefile ===
PKG_ARCH=	*
COMMENT=	The Marionette Collective	

DISTNAME=	mcollective-2.2.1

CATEGORIES=	sysutils

HOMEPAGE=	http://puppetlabs.com/mcollective/
MASTER_SITES=	http://puppetlabs.com/downloads/mcollective/
EXTRACT_SUFX=	.tgz

# GFDL
PERMIT_PACKAGE_CDROM=	Yes
PERMIT_PACKAGE_FTP=	Yes
PERMIT_DISTFILES_CDROM=	Yes
PERMIT_DISTFILES_FTP=	Yes

NO_BUILD=	Yes
NO_REGRESS=	Yes

# makefile is in ext/
MAKE_FILE=ext/Makefile

post-patch:
	${SUBST_CMD} ${WRKSRC}/etc/server.cfg.dist
	rm -f ${WRKSRC}/etc/server.cfg.dist.{orig,beforesubst}

.include <bsd.port.mk>

=== debian/changelog ===
mcollective (2.6.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use interest-noawait trigger (closes: #772864).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 20 Dec 2014 06:59:40 +0000

mcollective (2.6.0+dfsg-2) unstable; urgency=low

  [ Jean Baptiste Favre ]
  * Remove server & client config files from package to avoid dpkg asking for
    replacement (Closes: #767936)
  * Try to change server.cfg and client.cfg default connector, while keeping
    user values in postinst due to stomp plugin being deprecated

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Thu, 04 Dec 2014 17:23:10 +0100

mcollective (2.6.0+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.6.0+dfsg
  * d/watch: removed uversionmangle, fixed for new tarball names
  * d/control: bumped up standards version to 3.9.6 (no changes needed)
  * added d/mcollective-doc.doc-base

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Tue, 14 Oct 2014 14:15:48 +0200

mcollective (2.5.2+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.5.2+dfsg (Closes: #738590)
  * d/control:
    - added version depend to ruby-stomp
    - bumped standards version to 3.9.5 (no changes needed)
    - updated description
    - added facter,puppet package as Suggests
  * d/watch: update for new tarball names
  * d/repackage.sh: remove also js files
  * d/p/pluginsdir.patch: refreshed for new upstream version
  * removed debconf questions and queries for now
    will be back later for new configuration file syntax. (accepting patches)
  * switched to d/rules, disabled old upstream makefile
  * removed note about debconf in README

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Tue, 26 Aug 2014 19:16:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>, Micah Anderson <micah@debian.org>
 Build-Depends: debhelper (>= 8), gem2deb (>= 0.3.0~), dh-systemd (>= 1.5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://projects.puppetlabs.com/projects/mcollective
 Vcs-Git: git://anonscm.debian.org/pkg-puppet/mcollective.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-puppet/mcollective.git
@@ -16,7 +16,7 @@
 Depends: ${misc:Depends},
  ruby | ruby-interpreter,
  mcollective-common (>= ${source:Version})
-Suggests: activemq
+Suggests: activemq, facter, puppet
 Recommends: mcollective-client
 Description: Marionette Collective clustering framework - server
  The Marionette Collective is a framework for building server
@@ -33,15 +33,14 @@
  The Marionette Collective is a framework for building server
  orchestration and parallel job execution systems.
  .
- This package provides the MCollective client utilities:
+ This package provides the MCollective client utility:
   * mco
-  * mc-call-agent
 
 Package: mcollective-common
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Suggests: mcollective-doc
-Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-stomp, ruby-systemu, ruby-json
+Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-stomp (>> 1.2.10-1~), ruby-systemu, ruby-json
 Description: Marionette Collective clustering framework - common files
  The Marionette Collective is a framework for building server
  orchestration and parallel job execution systems.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ruby --with ruby,systemd

override_dh_auto_install:
	cp $(CURDIR)/etc/server.cfg.dist $(CURDIR)/debian/mcollective/usr/share/mcollective/server.cfg
	cp $(CURDIR)/etc/client.cfg.dist $(CURDIR)/debian/mcollective-client/usr/share/mcollective-client/client.cfg
	cp $(CURDIR)/etc/facts.yaml.dist $(CURDIR)/debian/mcollective-common/etc/mcollective/facts.yaml
	cp $(CURDIR)/etc/rpc-help.erb $(CURDIR)/debian/mcollective-common/etc/mcollective/rpc-help.erb
	cp -R  $(CURDIR)/lib/* $(CURDIR)/debian/mcollective-common/usr/lib/ruby/vendor_ruby/
	cp -R $(CURDIR)/plugins $(CURDIR)/debian/mcollective-common/usr/share/mcollective/
	cp $(CURDIR)/bin/mco $(CURDIR)/debian/mcollective-client/usr/bin/
	cp $(CURDIR)/bin/mcollectived $(CURDIR)/debian/mcollective/usr/sbin/
	cp -R $(CURDIR)/doc/* $(CURDIR)/debian/mcollective-doc/usr/share/doc/mcollective-doc/


override_dh_installinit:
	dh_installinit --error-handler=true

## mcollective 2.6.1

=== debian/changelog ===
mcollective (2.6.1-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.6.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 28 Oct 2014 10:59:15 -0700

## mcollective 2.7.0

=== debian/changelog ===
mcollective (2.7.0-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.7.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 25 Nov 2014 10:04:27 -0800

## mcollective 2.8.2

=== debian/changelog ===
mcollective (2.8.2-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.8.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 14 May 2015 08:50:49 -0700

## mcollective 2.8.9

=== debian/changelog ===
mcollective (2.8.9-1puppetlabs1) unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.8.9-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 20 Jul 2016 10:54:24 -0700

## mcollective 2.12.1+dfsg

=== debian/changelog ===
mcollective (2.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.12.1+dfsg

 -- Sebastien Badia <sbadia@debian.org>  Sun, 29 Apr 2018 14:39:24 +0200

mcollective (2.12.0+dfsg-2) unstable; urgency=medium

  * d/tests: Allow stderr during ci tests (debci)
  * d/control:
    + Make mcollective-doc Multi-Arch: foreign
    + Bump to Standards-Version 4.1.4 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Wed, 11 Apr 2018 11:02:05 +0200

mcollective (2.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.12.0+dfsg
    + Upstream fix for CVE-2017-2292 (Closes: #866711)
    + Upstream fix for CVE-2016-2788 (Closes: #850968)
    + Upstream fix for CVE-2014-3251 (Closes: #758701)
  * d/compat: Bump compat version to 11
  * d/control:
    + Bump to Standards-Version 4.1.3 (no changes needed)
    + Use salsa.debian.org in Vcs-* fields
    + Added myself as Uploader
    + Remove dh-systemd and gem2deb fixed version
  * d/upstream: Added Upstream metadata
  * d/copyright:
    + Fix license name and update upstream url
    + Use Files-Excluded target for dfsg repack
    + Remove section about ext/action_helpers (repack)
  * d/examples: Remove un-used mcollective-common.examples
  * d/rules: Remove deprecated dh-systemd rules
  * d/changelog: Added upstream changelog
  * d/watch:
    + Bump to version 4 switch to https and test pgpmode
    + Fixes watch file (opts=pgpmode=auto)
  * d/init:
    + Remove default (init.d-script-should-always-start-service)
    + Update systemd unit (refs upstream changes) (Closes: #709417)
  * d/man: Added manpages for mco and mcollectived
  * d/patches: Fix lintian issue with documentation (privacy-breach-generic)
  * d/tests: Added dep8 autopkgtest testsuite (Closes: LP1679336)

 -- Sebastien Badia <sbadia@debian.org>  Fri, 06 Apr 2018 11:43:02 +0200

## mcollective 2.12.5+dfsg

=== ext/Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 install-bin:
 	install -d $(DESTDIR)/usr/sbin
 	install -d $(DESTDIR)/usr/bin
-	cp bin/mc-* $(DESTDIR)/usr/sbin
 	cp bin/mco $(DESTDIR)/usr/bin
 	cp bin/mcollectived $(DESTDIR)/usr/sbin/mcollectived

=== debian/changelog ===
mcollective (2.12.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.12.5+dfsg
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 06 Apr 2020 01:05:33 +0530

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/mcollective-common/usr/lib/ruby/vendor_ruby/mcollective/util.rb

override_dh_auto_install:
	cp -R  $(CURDIR)/lib/* $(CURDIR)/debian/mcollective-common/usr/lib/ruby/vendor_ruby/
	cp $(CURDIR)/bin/mco $(CURDIR)/debian/mcollective-client/usr/bin/

override_dh_installinit:
	dh_installinit --error-handler=true --no-enable

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog/changelog.upstream

override_dh_installman:
	pandoc -s -t man $(CURDIR)/debian/man/mcollectived.md -o $(CURDIR)/debian/man/mcollectived.1
	pandoc -s -t man $(CURDIR)/debian/man/mco.md -o $(CURDIR)/debian/man/mco.1
	dh_installman

=== debian/tests/control ===
Tests: install
Depends: @, rabbitmq-server
Restrictions: needs-root,allow-stderr
